package immibis.ars;

import net.minecraft.src.EntityItem;
import net.minecraft.src.EntityPlayer;
import net.minecraft.src.ItemStack;
import net.minecraft.src.World;

public class ItemMFD_wrench extends ItemMFD {

	public ItemMFD_wrench(int i) {
		super(i, 0);
		setIconIndex(0);
	}

	/* $if mc >= 1.3$ */
	public boolean onItemUse(ItemStack itemstack, EntityPlayer entityplayer, World world, int i, int j, int k, int l, float x1, float x2, float x3) {
	/* $else$
	public boolean onItemUse(ItemStack itemstack, EntityPlayer entityplayer, World world, int i, int j, int k, int l) {
	$endif$ */
	
		if(!world.isRemote) {
			if (world.getBlockTileEntity(i, j, k) instanceof TileEntityMaschines) {

				TileEntityMaschines maschine = (TileEntityMaschines) world.getBlockTileEntity(i, j, k);

				if (maschine.getWrenchDropRate() > 0) {
					if (maschine.getFacing() != l && maschine.getFacing() != -1) {
						maschine.setFacing((short) l);
						world.markBlockAsNeedsUpdate(i, j, k);

					} else {

						ItemStack itemstacks = new ItemStack(world.getBlockId(i, j, k), 1, world.getBlockMetadata(i, j, k));
						EntityItem entityitem = new EntityItem(world, i, j, k, itemstacks);
						world.setBlockWithNotify(i, j, k, 0);
						world.spawnEntityInWorld(entityitem);

					}
					return true;
				}
			}
		}
		return false;
	}
}
