package immibis.ars;

import net.minecraft.src.ItemBlock;
import net.minecraft.src.ItemStack;

public class ItemUpgrades extends ItemBlock {

	public ItemUpgrades(int i) {
		super(i);
		setMaxDamage(0);
		setHasSubtypes(true);
	}

	public int getMetadata(int i) {
		return getPlacedBlockMetadata(i);
	}

	public int getPlacedBlockMetadata(int i) {
		return i;
	}

	public String getItemNameIS(ItemStack itemstack) {
		int i = itemstack.getItemDamage();
		switch (i) {

		case BlockUpgrades.META_REACTOR_MONITOR_CLIENT:
			return "Reaktor_Monitor_Client";
		case BlockUpgrades.META_SUBWATER:
			return "Projektor_Subwater";
		case BlockUpgrades.META_DOME:
			return "Projektor_Dome";
		case BlockUpgrades.META_HARDNER:
			return "Projektor_Hardner";
		case BlockUpgrades.META_CORE_STORAGE:
			return "Generator_Storage";
		case BlockUpgrades.META_CORE_RANGE:
			return "Generator_Linkex";
		case BlockUpgrades.META_ZAPPER:
			return "Projektor_Zapper";
		case BlockUpgrades.META_CAMO:
			return "Projektor_camouflage";
		case BlockUpgrades.META_REACTOR_CONNECTOR:
			return "Reactor_Connector";
		case BlockUpgrades.META_INHIBITOR:
			return "MFFS_Inhibitor";
		}
		return null;
	}
}
